Loading...
Searching...
No Matches
Configuration and Control
The Simplified GEIS Interface » Gesture Types » Gesture Primitives » Standard Gesture Types » Vendor Extension Gesture Types » Initialization and Cleanup

## Topics

| The Geis API Object

## Standard fundamental gesture attributes

GeisStatus | geis_configuration_supported (GeisInstance geis_instance, int configuration_item)
| Indicates if a particular feaure is supported.
GeisStatus | geis_configuration_get_value (GeisInstance geis_instance, int configuration_item, void *value)
| Gets a feature configuration value.
GeisStatus | geis_configuration_set_value (GeisInstance geis_instance, int configuration_item, void *value)
| Sets a feature configuration value.
GeisStatus | geis_event_dispatch (GeisInstance geis_instance)
| Dispatches geis events until there are no further events available.
#define | GEIS_CONFIG_UNIX_FD
| Gets the Unix file descriptor for GEIS events.

## Detailed Description

## Macro Definition Documentation

## GEIS_CONFIG_UNIX_FD

#define GEIS_CONFIG_UNIX_FD

Gets the Unix file descriptor for GEIS events.

Applications or toolkits can use this file descriptor to intgerate geis event handling into their main event dispatch loop. When a GEIS event is available for processing, the fd will have a read-available state indicated in select(), poll(), epoll(), etc.

## Function Documentation

## geis_configuration_get_value()

GeisStatus geis_configuration_get_value | ( | GeisInstance | geis_instance,
|  | int | configuration_item,
|  | void * | value )

Gets a feature configuration value.

Parameters

  [in] | geis_instance | An opaque pointer to a geis gesture subscription instance.
  [in] | configuration_item | Indicates which configuration item will be get.
  [in] | value | A pointer to where the retrieved value will be stored.

Return values

  GEIS_BAD_ARGUMENT | an invalid argument value was passed
  GEIS_STATUS_SUCCESS | normal successful completion

## geis_configuration_set_value()

GeisStatus geis_configuration_set_value | ( | GeisInstance | geis_instance,
|  | int | configuration_item,
|  | void * | value )

Sets a feature configuration value.

Parameters

  [in] | geis_instance | An opaque pointer to a geis gesture subscription instance.
  [in] | configuration_item | Indicates which configuration item will be set.
  [in] | value | A pointer to where the value to be set will be read.

Return values

  GEIS_BAD_ARGUMENT | an invalid argument value was passed
  GEIS_STATUS_SUCCESS | normal successful completion

## geis_configuration_supported()

GeisStatus geis_configuration_supported | ( | GeisInstance | geis_instance,
|  | int | configuration_item )

Indicates if a particular feaure is supported.

Parameters

  [in] | geis_instance | An opaque pointer to a geis gesture subscription instance.
  [in] | configuration_item | Indicates which configuration item will be checked for support.

Return values

  GEIS_BAD_ARGUMENT | an invalid argument value was passed
  GEIS_STATUS_SUCCESS | normal successful completion

## geis_event_dispatch()

GeisStatus geis_event_dispatch | ( | GeisInstance | geis_instance | ) |

Dispatches geis events until there are no further events available.

Parameters

  [in] | geis_instance | an opaque pointer to a geis gesture subscription instance

This function is used to integrate geis even dispatch into the main event loop of an application or toolkit.

Return values

  GEIS_BAD_ARGUMENT | an invalid GeisInstance was passed
  GEIS_STATUS_SUCCESS | normal successful completion